char M_TITLE[] = "set camera parameter program Ver.1.01\n";
char M_HELP[] =
"Usage : set_camera <camera ID> -p\n"
"Usage : set_camera <camera ID> <PARAM ID> <value> [-f <flag>]\n"
"Usage : set_camera <camera ID> <PARAM ID> -\n"
"Usage : set_camera <camera ID> list\n"
"Option : -h          : show this Help message\n"
;
/*
@J̃p[^ݒvO
@
  Ver.1.00 Ƃ肠쐬Bcam_libႲɂȂĂނȂH
  Ver.1.01 JNȏɃJgpł悤ɂ
*/
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

#include "cam_lib.h"

void printhelp(void)
{
  fprintf(stderr,M_TITLE);
  fprintf(stderr,M_HELP);
  exit(1);
}

int main(int argc,char *argv[])
{
  int no;
  camera_data *cam_data;
  char *id;
  long value,flag;

  scam_init();

  no = 0;
  if(argc>1) { no = scam_search_camera(argv[1],TRUE); argc--; argv++; }
  else
    {
      printhelp();
    }

  printf("Camera No. %d\n",no);
  cam_data = init_camera_data(no);
  if(cam_data == NULL)
    {
      printf("Camera initilize error.\n");
      exit(2);
    }

  if(argc == 2)
    {
      if(strcmp(argv[1],"-p")==0)
	{
          list_all_param(cam_data);
	  printf("Show property page.\n");
	  disp_camera_property(cam_data);
	  wait_camera_property(cam_data);
	}
    }
  while(argc > 2)
    {
      id = argv[1];
	  value = atoi(argv[2]);
	  flag = CameraControl_Flags_Manual;
	  if(strcmp(argv[2],"-")==0) flag = CameraControl_Flags_Auto;
	  if(argc > 4)
		{
		  if(strcmp(argv[3],"-f")==0)
			{
			  flag = atoi(argv[4]);
			  argc--; argv++;
			  argc--; argv++;
			}
		}
	  printf("%s : %ld %ld(%s)\n",id,value,flag,(flag&CameraControl_Flags_Auto?"Auto":"Manual"));
	  set_all_param(cam_data,id,value,flag);
	  argc--; argv++;
	  argc--; argv++;
    }

  list_all_param(cam_data);
  free_camera_data(cam_data);
  exit(0);
}
